INCLUDES = -I$(srcdir)/../share -I$(srcdir)/../ui -I$(srcdir)/../buttons \
	-I$(top_srcdir)/libkonq $(all_includes)

noinst_LTLIBRARIES = libkicker_core.la

libkicker_core_la_SOURCES = main.cpp kicker.cpp kicker.skel global.cpp \
	panel.cpp panel.skel userrectsel.cpp containerarea.cpp \
	applethandle.cpp container_base.cpp container_panel.cpp container_button.cpp \
	container_applet.cpp container_extension.cpp extensionmanager.cpp \
	menumanager.cpp pluginmanager.cpp panelmanager.cpp showdesktop.cpp \
	unhidetrigger.cpp popupposition.cpp

libkicker_core_la_LDFLAGS = $(all_libraries)
libkicker_core_la_LIBADD = $(top_builddir)/libkonq/libkonq.la $(LIB_KDEUI)
libkicker_core_la_METASOURCES = AUTO

data_DATA = default-apps
datadir = $(kde_datadir)/kicker
